#include "stack-c.h"

void Sci2spk(A)
  SciSparse *A;
{
  int * ia, * temp;
  int i;
  ia= (int *) malloc((A->m+1)*sizeof(int));
  
  ia[0]=1;
 
  for (i=1; i < A->m+1 ; i++)
    {
      ia[i]=ia[i-1]+A->mnel[i-1];
    }

  temp=A->mnel;
  A->mnel=ia;

}

void Spk2sci(A)
  SciSparse *A;
{
  int i;

  A->nel=A->mnel[A->m]-1;

  for (i=0; i < A->m ; i++)
    {
      A->mnel[i]=A->mnel[i+1] - A->mnel[i];
    }
  
  A->mnel=(int *) realloc(A->mnel,A->m*sizeof(int));

  A->icol=(int *) realloc(A->icol,A->nel*sizeof(int));

  A->R=(double *) realloc(A->R,A->nel*sizeof(double));

}  

SciSparse *NewSpk(it,m,n,nel)
     int *m,*n,*nel,*it;
{
  SciSparse *loc;
  loc = (SciSparse *) malloc((unsigned) sizeof(SciSparse));
  if ( loc == (SciSparse *) 0)
    {
      return((SciSparse *) 0);
    }
  loc->m = *m;
  loc->n = *n;
  loc->it = *it;
  loc->nel = *nel;
  loc->mnel = (int*) malloc((unsigned) (*m+1)*sizeof(int));
  if ( loc->mnel == (int *) 0)
    {
      FREE(loc);
      return((SciSparse *) 0);
    }
  loc->icol = (int*) malloc((unsigned) (*nel)*sizeof(int));
  if ( loc->icol == (int *) 0)
    {
      FREE(loc->mnel);
      FREE(loc);
      return((SciSparse *) 0);
    }
  loc->R =  (double*) malloc((unsigned) (*nel)*sizeof(double));
  if ( loc->R == (double *) 0)
    {
      FREE(loc->icol);
      FREE(loc->mnel);
      FREE(loc);
      return((SciSparse *) 0);
    }

  if ( *it == 1) 
    {
      loc->I =  (double*) malloc((unsigned) (*nel)*sizeof(double));
      if ( loc->I == (double *) 0)
	{
	  FREE(loc->R);
	  FREE(loc->icol);
	  FREE(loc->mnel);
	  FREE(loc);
	  return((SciSparse *) 0);
	}
    }
  return(loc);
}
